function ClickListener( element, selector, background1, background2 ) {
    this.element = element;
    this.selector = selector;
    this.bg1 = background1;
    this.bg2 = background2;
    this.isEnabled = true;

    this.flashInterval = 250;

    // methods
    this.click = _ClickListener__click;
    this.revert = _ClickListener__revert;
    this.enable = _ClickListener__enable;

    var self = this;

    this.element.addEventListener( 'click', function() { self.click(); }, true );
    this.element.style.background = background2;
}

function _ClickListener__click() {
    if ( this.isEnabled == false ) return;
    var localSelf = this;
    //debug( "click " + this.bg1 );
    setTimeout( function() { localSelf.revert(); }, this.flashInterval );
    this.element.style.background = this.bg1;
    setTimeout( function() { localSelf.selector(); }, 0 );
}

function _ClickListener__revert() {
    //debug( "click " + this.bg2 );
    this.element.style.background = this.bg2;
}

function _ClickListener__enable( flag ) {
    this.isEnabled = flag;
}
